#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    
    int q,n;
    cin >> q >> n;
    vector<int> A(n);
    vector<int> B(n);
    
    while(q--){
        for(int i = 0;i < n;i++) cin >> A[i];
        for(int i = 0;i < n;i++) cin >> B[i];
        
        cout << "NE";
    }
    
    return 0;
}